Yandex Cloud
Поиск
Связаться с экспертомПопробовать бесплатно
  • Кейсы
  • Документация
  • Блог
  • Все сервисы
  • Статус работы сервисов
  • Marketplace
    • Доступны в регионе
    • Инфраструктура и сеть
    • Платформа данных
    • Искусственный интеллект
    • Безопасность
    • Инструменты DevOps
    • Бессерверные вычисления
    • Управление ресурсами
  • Все решения
    • По отраслям
    • По типу задач
    • Экономика платформы
    • Безопасность
    • Техническая поддержка
    • Каталог партнёров
    • Обучение и сертификация
    • Облако для стартапов
    • Облако для крупного бизнеса
    • Центр технологий для общества
    • Партнёрская программа
    • Поддержка IT-бизнеса
    • Облако для фрилансеров
    • Обучение и сертификация
    • Блог
    • Документация
    • Мероприятия и вебинары
    • Контакты, чаты и сообщества
    • Идеи
    • Калькулятор цен
    • Тарифы
    • Акции и free tier
  • Кейсы
  • Документация
  • Блог
Создавайте контент и получайте гранты!Готовы написать своё руководство? Участвуйте в контент-программе и получайте гранты на работу с облачными сервисами!
Подробнее о программе
Проект Яндекса
© 2026 ТОО «Облачные Сервисы Казахстан»
Yandex Cloud Registry
KZ
  • Начало работы
  • Управление доступом
  • Правила тарификации
  • Справочник Terraform
    • Аутентификация в API
      • Overview
        • Overview
        • Get
        • List
        • Create
        • Update
        • Delete
        • ForceDelete
        • ListAccessBindings
        • SetAccessBindings
        • UpdateAccessBindings
        • ListIpPermissions
        • SetIpPermissions
        • UpdateIpPermissions
        • ListArtifacts
  • Аудитные логи Audit Trails

В этой статье:

  • HTTP request
  • Path parameters
  • Query parameters
  • Response
  • Artifact
  • Content
  • DockerContent
  • ImageManifest
  • Descriptor
  • ManifestList
  • PlatformManifest
  • Platform
  1. Справочник API
  2. REST (англ.)
  3. Registry
  4. ListArtifacts

Yandex Cloud Registry API, REST: Registry.ListArtifacts

Статья создана
Yandex Cloud
Обновлена 3 июня 2026 г.
  • HTTP request
  • Path parameters
  • Query parameters
  • Response
  • Artifact
  • Content
  • DockerContent
  • ImageManifest
  • Descriptor
  • ManifestList
  • PlatformManifest
  • Platform

Retrieves the list of registry artifact resources in the specified registry.

HTTP requestHTTP request

GET https://registry.api.yandexcloud.kz/cloud-registry/v1/registries/{registryId}:listArtifacts

Path parametersPath parameters

Field

Description

registryId

string

Required field. ID of the registry artifact to list repositories in.
To get the registry ID use a RegistryService.List request.

The maximum string length in characters is 50.

Query parametersQuery parameters

Field

Description

path

string

The path to a specific node where the registry artifact is located.

pageSize

string (int64)

The maximum number of results per page to return. If the number of available
results is larger than pageSize,
the service returns a [ListRepositoriesResponse.next_page_token]
that can be used to get the next page of results in subsequent list requests.
Default value: 10.

Acceptable values are 0 to 1000, inclusive.

pageToken

string

Page token. To get the next page of results, set pageToken to the
ListArtifactsResponse.nextPageToken returned by a previous list request.

The maximum string length in characters is 100.

ResponseResponse

HTTP Code: 200 - OK

{
  "artifacts": [
    {
      "id": "string",
      "path": "string",
      "name": "string",
      "kind": "string",
      "status": "string",
      "createdAt": "string",
      "createdBy": "string",
      "modifiedAt": "string",
      "modifiedBy": "string",
      "properties": "object",
      "content": {
        // Includes only one of the fields `docker`
        "docker": {
          // Includes only one of the fields `imageManifest`, `manifestList`
          "imageManifest": {
            "config": {
              "digest": "string",
              "size": "string"
            },
            "layers": [
              {
                "digest": "string",
                "size": "string"
              }
            ]
          },
          "manifestList": {
            "manifests": [
              {
                "manifestDescriptor": {
                  "digest": "string",
                  "size": "string"
                },
                "platform": {
                  "architecture": "string",
                  "os": "string",
                  "osVersion": "string",
                  "variant": "string"
                }
              }
            ]
          },
          // end of the list of possible fields
          "manifestDigest": "string"
        }
        // end of the list of possible fields
      }
    }
  ],
  "nextPageToken": "string"
}

Field

Description

artifacts[]

Artifact

List of Registry artifact resources.

nextPageToken

string

This token allows you to get the next page of results for list requests. If the number of results
is larger than ListRegistriesRequest.pageSize, use
the nextPageToken as the value
for the ListArtifactsRequest.pageToken query parameter
in the next list request. Each subsequent list request will have its own
nextPageToken to continue paging through the results.

ArtifactArtifact

A Artifact resource.

Field

Description

id

string

Output only. ID of the artifact.

path

string

Path where the artifact is located.

name

string

Name of the artifact.

kind

enum (Kind)

Kind of the artifact.

  • FOLDER: Artifact kind is folder.
  • PACKAGE: Artifact kind is package.
  • ARTIFACT: Artifact kind is artifact.

status

enum (Status)

Output only. Status of the artifact.

  • CREATING: Artifact status is being created.
  • ACTIVE: Artifact status is ready to use.
  • DELETING: Artifact status is being deleted.
  • DELETED: Artifact status is deleted.

createdAt

string (date-time)

Output only. Creation timestamp in RFC3339 text format.

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

createdBy

string

Output only. ID of the user or service account who created the artifact.

modifiedAt

string (date-time)

Output only. Modification timestamp in RFC3339 text format.

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

modifiedBy

string

Output only. ID of the user or service account who last modified the artifact.

properties

object (map<string, string>)

Key-value properties associated with the artifact.

content

Content

Content of the artifact.

ContentContent

Content of the artifact, specific to its type.

Field

Description

docker

DockerContent

Docker-specific content.

Includes only one of the fields docker.

DockerContentDockerContent

Docker-specific content of the artifact.

Field

Description

imageManifest

ImageManifest

Single-platform image manifest.

Includes only one of the fields imageManifest, manifestList.

manifestList

ManifestList

Multi-platform manifest list.

Includes only one of the fields imageManifest, manifestList.

manifestDigest

string

Digest of the manifest.

ImageManifestImageManifest

Image manifest describing a single-platform Docker image.

Field

Description

config

Descriptor

Descriptor of the image configuration.

layers[]

Descriptor

Descriptors of the image layers.

DescriptorDescriptor

Descriptor of a content blob (config, layer, or manifest).

Field

Description

digest

string

Digest of the content.

size

string (int64)

Size of the content in bytes.

ManifestListManifestList

Manifest list describing a multi-platform Docker image.

Field

Description

manifests[]

PlatformManifest

List of platform-specific manifests.

PlatformManifestPlatformManifest

Platform-specific manifest entry within a manifest list.

Field

Description

manifestDescriptor

Descriptor

Descriptor of the platform-specific manifest.

platform

Platform

Platform this manifest targets.

PlatformPlatform

Platform describes the target OS and architecture of an image.

Field

Description

architecture

string

CPU architecture.

os

string

Operating system.

osVersion

string

OS version.

variant

string

CPU variant.

Была ли статья полезна?

Предыдущая
UpdateIpPermissions
Следующая
Overview
Создавайте контент и получайте гранты!Готовы написать своё руководство? Участвуйте в контент-программе и получайте гранты на работу с облачными сервисами!
Подробнее о программе
Проект Яндекса
© 2026 ТОО «Облачные Сервисы Казахстан»